package net.krakatoaapi.command;

import de.dytanic.cloudnet.driver.CloudNetDriver;
import de.dytanic.cloudnet.driver.permission.IPermissionUser;
import net.krakatoaapi.KrakatoaAPI;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class KrakataoCommand implements CommandExecutor {

  @Override
  public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command,
      @NotNull String label, @NotNull String[] args) {

    if (!(sender instanceof Player)) {
      return false;
    }

    Player player = ((Player) sender).getPlayer();

    if (player != null) {
      IPermissionUser permissionUser = CloudNetDriver.getInstance().getPermissionManagement()
          .getUser(player.getUniqueId());

      if (permissionUser != null) {
        player.sendMessage(String.valueOf(permissionUser.hasPermission("*").asBoolean()));
      }

      player.sendMessage("§a" +
          KrakatoaAPI.getInstance().getKraSocketClientProtocol().getSendQueueMessages().size()
          + " §7messages in §asend queue");
      player.sendMessage("§a" +
          KrakatoaAPI.getInstance().getKraSocketClientProtocol().getReceivedQueueMessages().size()
          + " §7messages in §areceived queue");
    }

    return true;
  }
}
